class ScoreParticle {
	constructor(game, x, y, text){
		this.game = game;
		
		// Rendering
		this.layer = "foreground";
		
		// Scale
		this.scale = 0.5;
		
		// Physics
		this.x = x;
		this.y = y;
		
		// Debris Particle
		this.maxLife = 2;
		this.life = this.maxLife;
		
		this.tt1 = text,
		this.ts1 = textSize(game, this.tt1, game.atlas.gui.font.white, 0.5);
	}
	
	
	update(delta){
		this.y -= delta * 3;
		
		return this.life -= delta;
	}
	
	
	draw(context, textures, atlas){
		var ts1 = this.ts1,
			tt1 = this.tt1;
		
		context.globalAlpha = this.life/this.maxLife;
		drawText(this.game.context, this.game.textures, this.game.atlas, this.game.atlas.gui.font.white, tt1, this.x - ts1.width/2, this.y - ts1.height/2, this.scale);
		context.globalAlpha = 1;
	}
}
